> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/networking/sdn/cloud/modifycloudbandwidth.md).

# ModifyCloudBandwidth

## 1. API Description <a href="#id-1.-jie-kou-miao-shu" id="id-1.-jie-kou-miao-shu"></a>

This API is used to modify the Cloud Connect access bandwidth.

{% hint style="info" %} <mark style="color:blue;">**Note**</mark>

* <mark style="color:blue;">Call</mark> [<mark style="color:purple;">`DescribeCloudAvailableBandwidthTiers`</mark>](/api-reference/networking/sdn/cloud/describecloudavailablebandwidthtiers.md) <mark style="color:blue;">to query available cloud connect access bandwidth specifications.</mark>
* <mark style="color:blue;">This operation is not supported for Amazon Web Services and Oracle Cloud. Specification upgrade is supported only for Microsoft Azure.</mark>
* <mark style="color:blue;">For the Cloud Connect in a Layer 2 Private Connect, you can call</mark> [<mark style="color:purple;">`DescribePrivateConnects`</mark>](/api-reference/networking/sdn/private-connect/describeprivateconnects.md) <mark style="color:blue;">to retrieve</mark> <mark style="color:blue;">`endpointId`</mark><mark style="color:blue;">, which is the Cloud Connect ID.</mark>
* <mark style="color:blue;">For the Cloud Connect in a Layer 3 Cloud Router, you can call</mark> [<mark style="color:purple;">`DescribeCloudRouters`</mark>](/api-reference/networking/sdn/router/describe-cloud-routers.md) <mark style="color:blue;">to retrieve</mark> <mark style="color:blue;">`portId`</mark><mark style="color:blue;">, which is the Cloud Connect ID.</mark>
* <mark style="color:blue;">This API is an async API. A request ID is returned after the request is sent. However, it does not mean the modifying has been completed. The status of the Private Connect or the Cloud Router will be</mark> <mark style="color:blue;">`UPDATING`</mark> <mark style="color:blue;">during the modifying.</mark>
  * <mark style="color:blue;">You can call</mark> [<mark style="color:purple;">`DescribePrivateConnects`</mark>](/api-reference/networking/sdn/private-connect/describeprivateconnects.md) <mark style="color:blue;">to query the state of the Private Connect. If the state changes from</mark> <mark style="color:blue;">`UPDATING`</mark> <mark style="color:blue;">to</mark> <mark style="color:blue;">`AVAILABLE`</mark><mark style="color:blue;">, it means that the bandwidth has been modified successfully.</mark>
  * <mark style="color:blue;">You can call</mark> [<mark style="color:purple;">`DescribeCloudRouters`</mark>](/api-reference/networking/sdn/router/describe-cloud-routers.md) <mark style="color:blue;">to query the state of the Cloud Router. If the state changes from</mark> <mark style="color:blue;">`UPDATING`</mark> <mark style="color:blue;">to</mark> <mark style="color:blue;">`RUNNING`</mark><mark style="color:blue;">, it means that the bandwidth has been modified successfully.</mark>
* <mark style="color:blue;">Any operations on the Private Connect or the Cloud Router are not allowed while modifying.</mark>
* <mark style="color:blue;">Please note that after modifying the Cloud Connect access bandwidth through this API, any subsequent bandwidth changes made via</mark> [<mark style="color:purple;">`ModifyPrivateConnectBandwidth`</mark>](/api-reference/networking/sdn/private-connect/modifyprivateconnectbandwidth.md) <mark style="color:blue;">or</mark> [<mark style="color:purple;">`ModifyCloudRouterEdgePointBandwidth`</mark>](/api-reference/networking/sdn/router/modifycloudrouteredgepointbandwidth.md) <mark style="color:blue;">will only adjust the backbone bandwidth. The Cloud Connect access bandwidth will no longer be updated automatically.</mark>
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

<table><thead><tr><th width="161.8203125">Parameter Name</th><th width="112.359375">Required</th><th width="88.1875">Type</th><th>Description</th></tr></thead><tbody><tr><td>cloudPortId</td><td>Yes</td><td>String</td><td>Cloud Connect ID to be modified.</td></tr><tr><td>bandwidthMbps</td><td>Yes</td><td>Integer</td><td><p>The access bandwidth to be modified.</p><p>It must match one of the available bandwidth specifications. You can call the <a href="/pages/SxFiXuZIQLRuErD6xWMC"><code>DescribeCloudAvailableBandwidthTiers</code></a> API to query the supported bandwidth specifications.</p></td></tr></tbody></table>

## 3. Output Parameters

<table><thead><tr><th width="160.890625">Parameter Name</th><th width="93.20703125">Type</th><th>Description</th></tr></thead><tbody><tr><td>requestId</td><td>String</td><td>The unique request ID, which is returned for each request. RequestId is required for locating a problem.</td></tr></tbody></table>

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Modify the Cloud Connect access bandwidth to `100` Mbps.**

```json
POST /api/v2/sdn HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ModifyCloudBandwidth
<Common Request Params>

Request：
{
  "cloudPortId": "your-cloud-port-id",
  "bandwidthMbps": 100
}

Response：
{
  "requestId": "T98044459-95B2-477E-9A2F-00253A70CC6E",
  "response": {
    "requestId": "T98044459-95B2-477E-9A2F-00253A70CC6E"，
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources <a href="#id-5.-kai-fa-zhe-gong-ju" id="id-5.-kai-fa-zhe-gong-ju"></a>

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md) to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).​​

<table><thead><tr><th width="172.1875">HTTP Status Code</th><th width="254.51171875">Error Code</th><th>Description</th></tr></thead><tbody><tr><td>404</td><td>INVALID_CLOUD_PORT_NOT_FOUND</td><td>Cloud Connect does not exist.</td></tr><tr><td>400</td><td>INVALID_PORT_STATUS</td><td>The current status does not support this operation.</td></tr><tr><td>403</td><td>INVALID_CLOUD_BANDWIDTH</td><td>Invalid bandwidth value. The bandwidth must match one of the available bandwidth specifications.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/networking/sdn/cloud/modifycloudbandwidth.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
